@echo off
set iview="%programfiles%\IrfanView\i_view32.exe"
set options=/gray /dpi=(150,150)
set filename=%~dp0%date:~-2%%date:~-7,2%%date:~-10,2% %time:~0,2%%time:~3,2%%time:~6,2%
set /a num=0

:start
cls
type readme.txt
echo.
echo Program directory: %iview%
echo Options:           %options%
echo Target file:       "%filename%.pdf"
echo.
set /a num=%num%+1
echo Scanning page %num%...
if not exist "%filename%.tif" (
call :scanfirst
) else (
call :scanmore
)
echo successful
choice /c 1234567890wertzuiopasdfghjklyxcvbnmq /n /m "Press any key to continue scanning, [q] to finish!"
if errorlevel 36 goto :finish
goto :start

:scanfirst
%iview% /scanhidden %options% /convert="%filename%.tif"
goto :eof

:scanmore
%iview% /scanhidden %options% /convert="%filename%_tmp.tif"
%iview% "%filename%_tmp.tif" /append="%filename%.tif" /killmesoftly /silent
del /q "%filename%_tmp.tif"
goto :eof

:finish
echo.
echo Writing file: %filename%.pdf (%num% pages)
%iview% %filename%.tif /convert="%filename%.pdf"
del /q "%filename%.tif"